- connection: local
  gather_facts: false
  hosts: localhost
  tasks:
  - git:
      clone: true
      dest: /tmp/cqaso-mobile
      force: true
      key_file: /Users/gaox/PycharmProjects/CQCICD/id_rsa
      repo: git@gitlab.com:Xiang.Gao/cqaso-mobile.git
      update: true
      version: beta-dev
    name: Update cqaso-mobile from gitlab.
  - args:
      chdir: /tmp/cqaso-mobile
    name: Install package
    shell: npm install
  - args:
      chdir: /tmp/cqaso-mobile
    name: Webpack cqaso-mobile
    shell: npm run build
  - archive:
      dest: /tmp/release/cqaso-mobile-66cfabcd3a6912e09620c2e53ac517419bdaedcb
      format: tar
      path: /tmp/cqaso-mobile
    name: Archive the cqaso-mobile folder to a tar package
